KTHREAD_BIND(9)

NAME
kthread_bind - bind a just-created kthread to a cpu.

SYNOPSIS

void kthread_bind(struct task_struct * p, unsigned int cpu);

ARGUMENTS

p
    thread created by kthread_create.

cpu
    cpu (might not be online, must be possible) for k to run on.

DESCRIPTION

This function is equivalent to set_cpus_allowed, except that cpu doesn't need to be online, and the thread must be stopped (i.e., just returned from kthread_create).

COPYRIGHT